local anim8  = require("anim8")
local gamera = require("gamera")

require("utility")

require ("sys/game")

local draw = love.graphics.newCanvas(1280, 720)

function love.load()
	love.graphics.setDefaultFilter("nearest", "nearest")
	game.load()
end

function love.update(dt)
	game.update(dt)
end

function love.draw()
	draw:clear()
	love.graphics.setCanvas(draw)
	game.draw()
	love.graphics.setCanvas()

	love.graphics.draw(draw, 0, 0, 0, scaleW, scaleH)
end

function love.focus(f)

end

function love.keypressed(key, isrepeat)
	game.keypressed(key, isrepeat)
end

function love.keyreleased(key)

end

function love.mousefocus(f)

end

function love.mousepressed(x, y, button)
	game.mousepressed(x, y, button)
end

function love.mousereleased(x, y, button)

end

function love.quit()

end

function love.resize(w, h)

end