local anim8  = require("anim8")

require("sys/menu")
require("sys/ingame")

game = {}

function game.load()
gameState = "menu" --menu/intro/ingame
newState = gameState

menu.load()
end

function game.update(dt)
if newState ~= gameState then
	if newState == "menu" then
		menu.load()
	elseif newState == "ingame" then
		ingame.load()
	else
		print("Unknown gameState value")
		love.quit()
	end
	gameState = newState
end


if gameState == "menu" then
	menu.update(dt)
elseif gameState == "ingame" then
	ingame.update(dt)
end
end

function game.draw()
if gameState == "menu" then
	menu.draw()
elseif gameState == "ingame" then
	ingame.draw()
end
end

function game.mousepressed(x, y, button)
if gameState == "menu" then
	menu.mousepressed(x, y, button)
elseif gameState == "ingame" then
	ingame.mousepressed(x, y, button)
end
end

function game.keypressed(key, isrepeat)

end